Name:		toolame
Version:	02m
Release:	2
Summary:	MPEG Audio Layer2 VBR Encoder
License:	LGPL
Group:		System
URL:		http://users.tpg.com.au/adslblvi/
Source:		%{name}-%{version}-beta8.tar.bz2
Buildroot:	%{_tmppath}/%name-%version-root/

%description
tooLAME is an optimized Mpeg Audio 1/2 Layer 2 encoder. It is based heavily on 
- the ISO dist10 code 
- improvement to algorithms as part of the LAME project (www.sulaco.org/mp3)
- work by myself and other contributors (see CONTRIBUTORS)

This package is in PLF, as MP3 encoding is covered by software patents.

%package        devel
Summary:        MPEG Audio Layer2 VBR Encoder header/static lib.
Group:          Development

%description    devel
MPEG Audio Layer2 VBR Encoder header/static lib.

%prep
%setup -q -n %{name}-%{version}-beta8

%build
make OPTIM="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -D toolame ${RPM_BUILD_ROOT}%_bindir/toolame
install -D -m 644 libtoolame/toolame.h ${RPM_BUILD_ROOT}%_includedir/toolame.h
install -D -m 644 libtoolame/libtoolame.a ${RPM_BUILD_ROOT}%_libdir/libtoolame.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_includedir}
